<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_product_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_product_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group">
        <label for="{{ form_foto.images.id_for_label }}">Product Images</label>
        <input type="file" placeholder="Product Images..."
            class="form-control {% if form_foto.images.errors %}is-invalid{% endif %}"
            name="{{ form_foto.images.name }}"
            id="{{ form_foto.images.id_for_label }}" 
            maxlength="{{ form_foto.images.field.max_length }}"
            {% if form_foto.images.field.required and not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
            {% if form_foto.images.errors %}
            <div class="invalid-feedback">
                {{ form_foto.images.errors }}
            </div>
        {% endif %}
    </div>

    {{form_foto.x}}
    {{form_foto.y}}
    {{form_foto.width}}
    {{form_foto.height}}
    
    <div class="form-group">
        <label for="{{ form.product_name.id_for_label }}">Product Name</label>
        <input type="text" placeholder="Product Name..."
            class="form-control {% if form.product_name.errors %}is-invalid{% endif %}"
            name="{{ form.product_name.name }}"
            id="{{ form.product_name.id_for_label }}" 
            maxlength="{{ form.product_name.field.max_length }}"
            {% if form.product_name.value != None %}value="{{ form.product_name.value|stringformat:'s' }}"{% endif %}
            {% if form.product_name.field.required %}required{% endif %} >
        {% if form.product_name.errors %}
            <div class="invalid-feedback">
                {{ form.product_name.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form_diskon.harga.id_for_label }}">Product Price</label>
        <br>
        <input type="text" placeholder="Product Price..."
            class="form-control {% if form.harga.errors %}is-invalid{% endif %}"
            name="harga"
            id="price"
            {% if form.harga.value != None %}value="{{ form.harga.value|stringformat:'s' }}"{% endif %}
            {% if form.harga.field.required %}required{% endif %}
            onkeyup="formatRupiah(this.value, 'price')">
        {% if form.harga.errors %}
            <div class="invalid-feedback">
                {{ form.harga.errors }}
            </div>
        {% endif %}
        <input type="hidden" class="form-control {% if form.harga.errors %}is-invalid{% endif %}" name="{{ form.harga.name }}" id="fixprice">
        <input type="hidden" class="form-control" name="untukdisk" id="untukdisk">
        {% if form.harga.errors %}
            <div class="invalid-feedback">
                {{ form.harga.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label>Enable Diskon?</label>
        <div class="form-check">
          <input class="form-check-input" type="radio" name="enablePromo" id="enablePromoYes" value="yes" {% if product.diskon or product.persen_diskon %} checked {% endif %}>
          <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
            Yes
          </label>

          <input class="form-check-input" type="radio" name="enablePromo" id="enablePromoNo" value="no" {% if not product.diskon or not product.persen_diskon %} checked {% endif %}>
          <label class="form-check-label" for="enablePromoNo">
            No
          </label>
        </div>
    </div>

    <div class="form-group">
        <label for="diskon">Diskon (%) </label>
        <input type="text" placeholder="Persentase Diskon Cth.20 (Masukan Angka saja)..."
            class="form-control"
            name="diskon"
            id="diskon"  
            onchange="hitungHargaSetelahDiskon()"
            {% if product.persen_diskon %} value="{{product.persen_diskon}}" {% endif %}>
    </div>

    <div class="form-group">
        <label for="after_diskon">Price After Diskon</label>
        <input type="text" class="form-control" placeholder="Product Price After Diskon..." 
           class="form-control" 
           name="after_diskon" 
           id="after_diskon" 
           {% if product.diskon %} value="{{product.diskon}}" {% endif %}
           readonly>
        <input type="hidden" id="fixdiskon" name="fixdiskon">
    </div>

    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form.category.id_for_label }}">Product Category</label>
            <br>
            <select 
                class="form-control" 
                name="{{ form.category.name }}"
                {% if form.category.field.required %}required{% endif %}>
                <option value="">-- Product Category --</option>
                {% for dt in kategori %}
                    <option value="{{ dt.id }}" {% if form.category.value == dt.id %} selected="selected" {% endif %}>
                        {{ dt.nama }}
                    </option>
                {% endfor %}
            </select>
        </div>
        <div class="form-group col">
            <label for="{{ form.best_seller.id_for_label }}">Product Best Seller</label>
            <br>
            <select 
                class="form-control" name="{{ form.best_seller.name }}" 
                data-value="{{ form.best_seller.value }}">
                <option value="False" {% if form.best_seller.value == 'False' %} selected="selected" {% endif %}>Not Yet</option>
                <option value="True" {% if form.best_seller.value %} selected="selected" {% endif %}>Yes, Best Seller</option>
            </select>
        </div>
    </div>
   
    <div for="{{ form.description.id_for_label }}">Product Description</div>
    <div class="">
        {{form.description}}
    </div>
    
    <div class="form-group">
        <label for="{{ form.tags.id_for_label }}">Product Tags</label>
        <input type="text" placeholder="Product Tags..."
            class="form-control {% if form.tags.errors %}is-invalid{% endif %}"
            name="{{ form.tags.name }}"
            id="{{ form.tags.id_for_label }}" 
            maxlength="{{ form.tags.field.max_length }}"
            {% if form.tags.value != None %}value="{{ tagsnya }}"{% endif %}
            {% if form.tags.field.required %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            Tags dipisahkan dengan "," (koma). <strong>Contoh: product, rosario, kalung</strong>.
        </small>
        {% if form.tags.errors %}
            <div class="invalid-feedback">
                {{ form.tags.errors }}
            </div>
        {% endif %}
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>